Subject: Mesa emergency release

From: Marius Bakke <[email-masked]>
Date: Tue, 27 Feb 2018 15:59:38 +0100

Hi!

(+CC guix-devel for visibility)

Rutger Helling <[email-masked]> writes:

> This patch updates Mesa to 17.3.6 in staging. I didn't push it right
> away, since I know the plan was to merge staging in a few days.
>
> However, I do recommend we push this patch in before, since apparently
> 17.3.6 fixes a number of problems with Intel GPU hangups that are
> present in the 17.3 series.

Here is the release announcement:

https://lists.freedesktop.org/archives/mesa-announce/2018-February/000403.html

According to the announcement, the regressions were introduced in the
development of 17.3, so we've already had the bugs for a while.

Since updating mesa now would cause a lot of new rebuilds, I think we
should wait.  However, we could graft it if we get reports about GPU
lockups, or maybe even pre-emptively.  WDYT?